XmlRepresentableType (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.type
Interface XmlRepresentableType<T>

All Known Implementing Classes:
  AbstractBynaryType, AbstractCharArrayType, AbstractLongBinaryType, AbstractLongStringType, AbstractSingleColumnStandardBasicType, AbstractStandardBasicType, AdaptedImmutableType, BigDecimalType, BigIntegerType, BinaryType, BlobType, BooleanType, ByteType, CalendarDateType, CalendarType, CharacterArrayClobType, CharacterArrayType, CharacterType, CharArrayType, CharBooleanType, ClassType, ClobType, CurrencyType, DateType, DbTimestampType, DoubleType, FloatType, ImageType, ImmutableType, IntegerType, LocaleType, LongType, MaterializedBlobType, MaterializedClobType, MutableType, NullableType, NumericBooleanType, PostgresUUIDType, PrimitiveCharacterArrayClobType, SerializableType, ShortType, StringType, TextType, TimestampType, TimeType, TimeZoneType, TrueFalseType, UrlType, UUIDBinaryType, UUIDCharType, WrappedMaterializedBlobType, WrapperBinaryType, YesNoType

    public interface XmlRepresentableType<T>

Additional, optional contract for types whose values can be represented as XML text (either as attribute or element value).

Method Summary
`T` | `fromXMLString(String xml, Mapping factory)`
`String` | `toXMLString(T value, SessionFactoryImplementor factory)`

Method Detail

### toXMLString

    String toXMLString(T value,
                       SessionFactoryImplementor factory)
                       throws HibernateException

  Throws:
    `HibernateException`

### fromXMLString

    T fromXMLString(String xml,
                    Mapping factory)
                    throws HibernateException

  Throws:
    `HibernateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.